SSL Libraries are not loading

16 posts / 0 new
Last post
hi8smx
SSL Libraries are not loading

Need help. Here are the facts:

- I have a Raspberry 3 Pi
- Running Linux in ARM
- I have CQRlog 2.2
- ssl-lib dev is up to date, I have the latest version
- If I export the log to a file I can perfectly sign and upload it thru Tqsl
- I can perfectly download the report from Lotw and import it in Cqrlog

But, I'm having problems uploading and downloading to LOTW.

When I try to upload to Lotw I get:

Error: -2

And when I try to download from Lotw I get:

Not Logged
Error: -2
Error:
Error: ssl_openssl

After running CQRlog with debug, we've identified that SSL Libraries are not loading.

Anyone have experienced the same issue? Any help will be greatly appreciated.

73

HI8SMX
Santiago

ok7an
ok7an's picture
Re: SSL Libraries are not loading

Hi Santiago,

I know about that bug and going to fix it on the weekend. Also would like to release bugfix version.

73 Petr

k4ed
I am having the exact same

I am having the exact same issue with my Raspberry pi and I downloaded the latest version from here on the site, and my Pi reports I have the latest libssl-dev loaded ....

KE0NHQ
Getting the Same Problem in Version 2.3.0

I am getting the same error messages on LoTW upload and download attempts with version 2.3.0. I installed using cqrlog_2.3.0-1_armhf.deb on my Raspberri Pi 3 Model B+ running the latest Raspbian.

If I can help in any way, please let me know. I can download source code, compile, and run it if you have something to test. And I can also provide any logs or other reports from my system. Thank you for all of your time and hard work.

KE0NHQ
Tried Building From Source

For what it's worth, I tried removing the binary deb and building from source. But I got the same error when I performed a "Download and process data from LoTW website".

hi8smx
Thanks

Hello Petr, and thanks for the good news. Hopefully you find the bug fix!!!..

73, Santiago

hi8smx
Any news?

Petr, hello!. Did you get a way around the bug for the SSL libraries?

73, Santiago

KC3KHA
Still experiencing this problem; any progress?

Hello, Petr, I'm also experiencing this problem with CQRLOG 2.3.0 (001) on my Raspberry Pi 3B. Thanks for your help solving this problem.

-Kevin
KC3KZ (was KC3KHA)

ok7an
ok7an's picture
re: Still experiencing this problem; any progress?

Hi Kevin,

the fix should be part of recent version. Install libssl-devel package and it should work.

73 Petr

KC3KHA
re: Still experiencing this problem; any progress?

Hi, Petr, thanks for writing back.

I'm running Raspian 9.4 (stretch) and don't have a 'libssl-devel' package:

pi@raspberrypi:~ $ sudo apt-get install libssl-devel
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package libssl-devel
pi@raspberrypi:~ $ sudo apt-get install libssl-dev
Reading package lists... Done
Building dependency tree
Reading state information... Done
libssl-dev is already the newest version (1.1.0f-3+deb9u2).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
pi@raspberrypi:~ $ lsb_release -a
No LSB modules are available.
Distributor ID: Raspbian
Description: Raspbian GNU/Linux 9.4 (stretch)
Release: 9.4
Codename: stretch
pi@raspberrypi:~ $

The 'libssl-dev' package I do have doesn't allow me to upload or download from LoTW:

pi@raspberrypi:~ $ cqrlog --debug=1
Cqrlog Ver:2.3.0 (001) Date:2018-06-17
**** DEBUG LEVEL 1 ****
SSL libraries:
Loading libmysqlclient:
**************************
MySQL version: 10.

Note that no SSL libraries are found.

This is the section of the debug output where the 'Error: -2' occurs (I changed my password):

select * from cqrlog_main
/usr/bin/tqsl -d -l "KC3KZ Home" /home/pi/.config/cqrlog/lotw/2018-08-20_13-58-52.adi -x
https://LoTW.arrl.org/lotwuser/upload?login=KC3KZ&password=********
WARNING: obsolete call to RecreateWnd for TfrmWorking
Warning: TWinControl.DestroyHandle frmWorking:TfrmWorking Handle not Allocated

Any other suggestions to correct this problem?

Thanks, again, for all your help.

-Kevin
KC3KZ (was KC3KHA)

hi8smx
Sill not working

Petr, Hi.
I'm still having the same issue with my SSL library not loading, therefore not being able to upload qso to lotw.

73, Santiago

KE0NHQ
Tried Building Latest Git Commit with libssl-dev Installed

Petr,

It is not working, and I'd like to help with testing if possible. I'll describe what I tried so far.

I have libssl-dev version 1.1.0f-3+deb9u2 installed. First I tried building the latest release (2.3.0-1) from source. I discovered I had to run ./remove_unknown_properties. But that didn't resolve the problem. Then I built the latest github master branch commit (7490981) from source but I had the same problem.

I'll try some other troubleshooting, but please let me know if there is anything else I can try. Thank you.

-
73, Jeff - KE0NHQ

KE0NHQ
Tried libssl1.0-dev

I also tried building with libssl1.0-dev 1.0.2l-2+deb9u3 instead, but got the same problem. It's just not finding the libraries when executing the program for some reason. I'm out of ideas for now.

ke6mt
A more recent version?

Hello, I seem to have this issue, too. Running 2.3.0 (001) Date:2018-06-17 - on Raspberry Pi. Is there a more recent build I should locate and install?

73,
Rex KE6MT

hi8smx
still having issues!

Petr, hello. Did you find any fix for this issue (ssl libraries not loading)???, been trying different things and still could not get it to work. Therefore, I´m not able to load/download to Lotw directly from Cqrlog.
Please help.
73, Santiago

KC3KHA
Still experiencing this problem; any progress?

Still not working. Would really like to upload directly to LoTW from CQRLOG.

Trying to keep this issue alive so it gets fixed.

-Kevin
KC3KZ